<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".dailyactivity.BaAssessmentActivity"
    tools:showIn="@layout/activity_ba_assessment">

    <!-- CENTER CONTAINER -->
    <LinearLayout
        android:id="@+id/container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:gravity="center"
        android:padding="24dp"
        android:background="@color/transparent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent">

        <!-- QR CODE -->
        <!-- ROUNDED CORNER QR CARD -->
        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:cardCornerRadius="16dp"
            app:cardElevation="5dp"
            android:layout_gravity="center"
            app:cardUseCompatPadding="true">

            <ImageView
                android:id="@+id/qrImage"
                android:layout_width="320dp"
                android:layout_height="320dp"
                android:padding="12dp"
                android:layout_gravity="center"
                android:contentDescription="QR Code" />
        </androidx.cardview.widget.CardView>

        <!-- SPACE -->
        <!-- TEXT -->
        <TextView
            android:id="@+id/text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Scan this QR code\n to start BA Assessment"
            android:textSize="@dimen/text_size_16sp"
            android:textStyle="bold"
            android:textColor="@color/black"
            android:gravity="center" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
